package com.yc.ship.module.trade.service.sms;

import com.yc.ship.module.trade.api.sms.dto.SmsReqDTO;
import org.springframework.transaction.annotation.Transactional;

/**
 * 保险
 *
 * @className:
 */
public interface SmsService {


    /**
     * 短信发送
     *
     * @param noteReqDTO 短信发送类
     * @return boolean
     */
    String sendMsg(SmsReqDTO noteReqDTO);


    @Transactional(rollbackFor = Exception.class)
    String sendMsg2(SmsReqDTO smsReqDTO);

    /**
     * 查询短信发送状态
     */
    Integer queryStatus(String smsId);
}
